#
# spec file for package python-python-slugify
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-slugify
Version:        2.0.1
Release:        lp151.1.1
Summary:        Slugify application that handles Unicode
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/un33k/python-slugify
Source:         https://github.com/un33k/python-slugify/archive/%{version}.tar.gz#/python-slugify-%{version}.tar.gz
BuildRequires:  %{python_module Unidecode >= 0.04.16}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Conflicts:      python-awesome-slugify
Requires:       python-Unidecode >= 0.04.16
BuildArch:      noarch

%python_subpackages

%description
A Python Slugify application that handles Unicode

%prep
%setup -q -n python-slugify-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec ./test.py

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE
%python3_only %{_bindir}/slugify
%{python_sitelib}/python_slugify-%{version}-py*.egg-info
%{python_sitelib}/slugify/

%changelog
* Tue Feb 19 2019 John Vandenberg <jayvdb@gmail.com>
- Activated test suite
- Update to v2.0.1
  * Add replacements option e.g. [['|', 'or'], ['%%', 'percent'], ['-', '_']]
- from 2.0.0
  * Fix alternative dependency installation
-from 1.2.6
  * Add support for case sensitive slugs
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 1.2.5
  * Add support for using text-unidecode (@bolkedebruin)
  * Switch to pycodestyle instead of pep8
- Use license tag
* Mon Nov 27 2017 toddrme2178@gmail.com
- Conflict with python-awesome-slugify
  They share the same module name
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
